AttributeFactory Class

package | phpLDAPadmin
subpackage | Templates

### Methods

## newAttribute()

    newAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newBinaryAttribute()

    newBinaryAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newDateAttribute()

    newDateAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newDnAttribute()

    newDnAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newGidAttribute()

    newGidAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newJpegAttribute()

    newJpegAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newMultiLineAttribute()

    newMultiLineAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newObjectClassAttribute()

    newObjectClassAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newPasswordAttribute()

    newPasswordAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newRandomPasswordAttribute()

    newRandomPasswordAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newSambaPasswordAttribute()

    newSambaPasswordAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newSelectionAttribute()

    newSelectionAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## newShadowAttribute()

    newShadowAttribute($name, $values, $server_id, $source)

### Parameters

#### $name

#### $values

#### $server_id

#### $source